// Initialize your app
var myApp = new Framework7({
	animateNavBackIcon: true,
	// Enable templates auto precompilation
	precompileTemplates: true,
	// Enabled pages rendering using Template7
	swipeBackPage: true,
	swipePanelOnlyClose: true,
	pushState: true,
	template7Pages: true,
	// cacheIgnoreGetParameters: false,
	// cacheIgnore:['notebook.html','notebook-item.html'],
	// cache:false,
	// cacheDuration: 0,
	popupCloseByOutside : true,//params

	preprocess: function (content, url, next) {

		varibles['urlPage']	=(url.indexOf('?')>0)?url.substring(0,url.indexOf('?')):url;
		urlQuery	=(url.indexOf('?')>0)?url.substring(url.indexOf('?')+1):'';
		uriQuery	=[];
		glang 		=storage.getItem('dLang'+defaultId);
		if(urlQuery.indexOf('&')>0){
			uriQuery	=urlQuery.split('&');
		}
		else {
			if(urlQuery){
				uriQuery[0]	=urlQuery;
			}
		}
		uri =[];
		if(uriQuery.length>0){
			$.each(uriQuery,function(key,val){

				x=val.split('=');
				uri[x[0]]=x[1];
			})
		}
		index 	=$.parseJSON(storage.getItem('index'+defaultId));
		$('.toolbar').hide();
		$('#indexMenu').attr('href','index.html');
		if(varibles['urlPage']!='index.html' && varibles['urlPage']!='ticket.html' && varibles['urlPage']!='belit.html' && varibles['urlPage']!='notification.html' && !mId){
			setLogin();
		}

		myApp.showIndicator();
		switch(varibles['urlPage']) {
			case 'about.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/about/',
				type: "GET",
				dataType: "html",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);
					dataJSON={
						main_title:translate.title,
						title_page:index.about.title,
						content:data
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator(); 

				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator

					myApp.hideIndicator();
					errorModal();
				}
			})

			break;

			case 'contact.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/contact/',
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					varibles['latitude']=data.latitude;
					varibles['longitude']=data.longitude;
					var compiledTemplate = Template7.compile(content);
					dataJSON={
						main_title:translate.title,
						title_page:index.contact.title,
						category:translate['category'],
						categories:function (){
							var cats='';
							$.each(data.categories,function(key,val){
								cats+='<option value="'+key+'">'+val+'</option>';
							});
							return cats;
						},
						address:data.address+'<br />',
						web:data.web+'<br />',
						email:data.email+'<br />',
						mobile:data.cell+'<br />',
						telephone:data.tell,
						message:translate['message'],
						send:translate['send'],
						call_num:data.callNum,
						sms_num:data.smsNum,
						call:translate['call'],
						sms:translate['sms'],
						ourlocation:translate['ourLocation']
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'agent.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/agent/',
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					var compiledTemplate = Template7.compile(content);

					var agent=[];
					$.each(data,function(key , val){
						agent[key]={
						'pic':val['pic'],
						'title':(val['title']?val['title']+'<br />':''),
						'description':(val['description']?val['description']+'<br />':''),
						'name':(val['name']?val['name']+'<br />':''),
						'address':(val['address']?val['address']+'<br />':''),
						'web':(val['web']?('<a href="'+val['web']+'" class="external">'+val['web']+'</a>'+'<br />'):''),
						'cell':(val['cell']?val['cell']+'<br />':''),
						'tell':(val['tell']?val['tell']+'<br />':'')
						};
					});

					dataJSON={
						main_title:translate.title,
						title_page:index.agent.title,
						agents:agent
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'partners.html':
			var title=uri.title?uri.title:'';
			$$.ajax({
				url: hostUrl+glang+'/appv1/partners/prm/'+title,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					var compiledTemplate = Template7.compile(content);

					var partner=[];
					$.each(data,function(key , val){
						partner[key]={
						'pic':val['pic'],
						'title':(val['title']?val['title']:''),
						'tel':(val['tell']?val['tell']:''),
						'web':(val['web']?val['web']:''),
						'address':(val['address']?val['address']:''),
						'tell':translate['call'],
						'site':translate['web'],
						'description':val['description']
						};
					});

					dataJSON={
						main_title:translate.title,
						title_page:index.partners.title,
						search:translate['search'],
						toolbarIcon:toolbarIcon,
						partners:partner
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'search.html':

			var compiledTemplate = Template7.compile(content);

			dataJSON={
				main_title:translate.title,
				title_page:index[uri.req]['title'],
				search_req:uri.req,
				fid:uri.id?uri.id:0,
				title:uri.title?uri.title:'',
				search:translate['search'],
				category:translate['category'],
				toolbarIcon:toolbarIcon
			};
			next(compiledTemplate(dataJSON));
			myApp.hideIndicator();
			break;
			case 'catblog.html':
			var id=uri.id?uri.id:0;
			$$.ajax({
				url: hostUrl+glang+'/appv1/category/prm/blog/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);

					var cats=[];
					$.each(data,function(key , val){
						cats[key]={
						'id':val['id'],
						'link':function() {
							if(Number(val['count']))
							return 'catblog.html?id='+val['id']
							else return 'blog.html?id='+val['id']
						},
						'title':(val['title']?val['title']+'<br />':''),
						};
					});

					dataJSON={
						main_title:translate.title,
						title_page:index.blog.title,
						search:translate['search'],
						category:translate['category'],
						cats:cats,
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'blog.html':
			var id=uri.id?uri.id:0;
			$$.ajax({
				url: hostUrl+glang+'/appv1/blog/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					varibles['blogCount']=data.count;
					varibles['blogCurent']=data.post.length;
					varibles['blogRow']=1;
					varibles['blogPage']=1;

					var compiledTemplate = Template7.compile(content);

					dataJSON={
						main_title:translate.title,
						title_page:index.blog.title,
						search:translate['search'],
						category:translate['category'],
						posts:blogTemplate(data['post']),
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'blog-item.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/showblog/prm/'+uri.id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);

					dataJSON={
						img:function(){
							var blogSlider='';
							$.each(data.content.pic,function(key,val){
								blogSlider+='<div class="swiper-slide"><img src="'+val+'" alt="" title="" /></div>';
							})
							return blogSlider;
						},
						main_title:translate.title,
						title_page:data.content.title,
						content:data.content.content,
						date:data.content.date,
						message:translate['message'],
						send_comment:translate.sendComment,
						other_comment: translate.otherComment,
						send:translate['send']

					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})

			break;
			case 'catproducts.html':
			var id=uri.id?uri.id:0;
			$$.ajax({
				url: hostUrl+glang+'/appv1/category/prm/products/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					var compiledTemplate = Template7.compile(content);

					var cats=[];
					$.each(data,function(key , val){
						cats[key]={
						'id':val['id'],
						'link':function() {
							if(Number(val['count']))
							return 'catproducts.html?id='+val['id']
							else return 'products.html?id='+val['id']
						},
						'title':(val['title']?val['title']+'<br />':''),
						};
					});

					dataJSON={
						main_title:translate.title,
						title_page:index.products.title,
						search:translate['search'],
						category:translate['category'],
						cats:cats,
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'products.html':
			var id=uri.id?uri.id:0;
			$$.ajax({
				url: hostUrl+glang+'/appv1/products/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					varibles['productCount']=data.count;
					varibles['productCurent']=data.post.length;
					varibles['productRow']=1;
					varibles['productPage']=1;

					var compiledTemplate = Template7.compile(content);

					dataJSON={
						main_title:translate.title,
						title_page:index.products.title,
						search:translate['search'],
						category:translate['category'],
						post_products:productTemplate(data['post']),
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'products-item.html':

			// alert(hostUrl+glang+'/appv1/showproduct/prm/'+uri.id)
			$$.ajax({
				url: hostUrl+glang+'/appv1/showproduct/prm/'+uri.id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					var compiledTemplate = Template7.compile(content);
					dataJSON={
						main_title:translate.title,
						title_page:data.content.title,
						description:translate['description'],
						img:function(){
							var productSlider='';
							$.each(data.content.pic,function(key,val){
								productSlider+='<div class="swiper-slide"><img src="'+val+'" alt="" title="" /></div>';
							})
							return productSlider;
						},
						price:function(){
							var price='';
							if(data.content.price && data.content.off){
								price= '<div class="shop_item_price"><del>'+data.content.price+'</del> '+data.content.off+'</div>';
							}
							else if(data.content.price){
								price= '<div class="shop_item_price">'+data.content.price+'</div>';
							}
							return price;
						},
						summary:data.content.summary,
						content:data.content.content,
						date:data.content.date,
						message:translate['message'],
						send_comment:translate.sendComment,
						other_comment: translate.otherComment,
						send:translate['send']
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'gallery.html':
			var id=uri.id?uri.id:0;
			$$.ajax({
				url: hostUrl+glang+'/appv1/catgallery/prm/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);

					var cats=[];
					$.each(data,function(key , val){

						cats[key]={
						'pic':function(){
							if(val['pic']){
								return '<img src="'+val['pic']+'" alt="" title="" />';
							}
							else {
								return '';
							}
						},
						'link':function(){
							if(val['count']){
								return 'gallery.html?id='+val['id'];
							}
							else {
								return 'catgallery.html?id='+val['id'];
							}
						},
						'title':val['title']
						}
					});

					dataJSON={
						main_title:translate.title,
						title_page:index.gallery.title,
						cats:cats
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;

			case 'catgallery.html':
			var id=uri.id?uri.id:0;

			$$.ajax({
				url: hostUrl+glang+'/appv1/gallery/prm/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					varibles['galleryCount']=data.count;
					varibles['galleryCurent']=data.pics.length;
					varibles['galleryRow']=1;
					varibles['galleryPage']=1;
					var compiledTemplate = Template7.compile(content);
					var pics=[];
					$.each(data['pics'],function(key , val){
						if(val['id'])
						pics[key]={
						'id':val['id'],
						'thumb':val['thumb'],
						'pic':val['pic'],
						'title':(val['title']?val['title']:'')
						};
					});
					dataJSON={
						main_title:translate.title,
						title_page:index.gallery.title,
						category:translate['category'],
						pics:pics,
						toolbarIcon:toolbarIcon
					};

					next(compiledTemplate(dataJSON));

					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'catfreepage.html':
			var id=uri.id?uri.id:0;
			var pid=uri.pid?uri.pid:id;
			$$.ajax({
				url: hostUrl+glang+'/appv1/freecategory/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);

					var cats=[];
					$.each(data,function(key , val){
						cats[key]={
						'id':val['id'],
						'link':function() {
							if(Number(val['count'])){
								return 'catfreepage.html?pid='+pid+'&id='+val['id']+'&title='+val['title'];
							}
							else return 'freepage.html?pid='+pid+'&id='+val['id']+'&title='+val['title'];
						},
						'title':(val['title']?val['title']+'<br />':''),
						};
					});

					dataJSON={
						main_title:translate.title,
						title_page:decodeURI(uri.title),
						fid:pid,
						pid:pid,
						search:translate['search'],
						category:translate['category'],
						cats:cats,
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'freepage.html':
			var id=uri.id?uri.id:0;
			var pid=uri.pid?uri.pid:id;
			$$.ajax({
				url: hostUrl+glang+'/appv1/freepage/'+id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					varibles['freepageCount']=data.count;
					varibles['freepageCurent']=data.post.length;
					varibles['freepageRow']=1;
					varibles['freepagePage']=1;

					var compiledTemplate = Template7.compile(content);

					dataJSON={
						main_title:translate.title,
						title_page:decodeURI(uri.title),
						fid:pid,
						pid:pid,
						search:translate['search'],
						category:translate['category'],
						posts:freepageTemplate(data['post']),
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();

				}
			})
			break;
			case 'freepage-item.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/showfreepage/prm/'+uri.id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);

					dataJSON={
						main_title:translate.title,
						title_page:data.content.title,
						content:data.content.content,
						date:data.content.date,
						message:translate['message'],
						send_comment:translate.sendComment,
						other_comment: translate.otherComment,
						send:translate['send']
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'poll.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/poll/',
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					var compiledTemplate = Template7.compile(content);

					dataJSON={
						main_title:translate.title,
						title_page:index.poll.title,
						form_poll:data.form
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'ticket.html':
			myApp.mainView.history[myApp.mainView.history.length]='index.html';
			$$.ajax({
				url: hostUrl+glang+'/appv1/tickets/prm/'+storage.getItem('mId'+defaultId),
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){
					varibles['ticketCount']=data.count;
					varibles['ticketCurent']=data.post.length;
					varibles['ticketRow']=1;
					varibles['ticketPage']=1;

					var compiledTemplate = Template7.compile(content);

					dataJSON={
						main_title:translate.title,
						title_page:'تماس با ما',
						ticket:translate['newMessage'],
						contact:'تماس با ما',
						posts:ticketTemplate(data['post']),
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			break;
			case 'ticket-item.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/showticket/prm/'+uri.id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					storage.setItem('countTick'+defaultId,0);
					countTick=0;
					numTick=0;
					var messages=[];
					$.each(data.ticket,function(key , val){
						messages[key]={
						'content':val['message'],
						'pic':(val['pic'])?'<a href="'+val['pic']+'" class="external" target="_blank"><img src="'+val['pic']+'"></a>':'',
						'sender':val['sender'],
						'sender_style':val['sender']?'color_1':'color_2',
						'date':val['date'],
						'replay':(val['sender']?'replay':'')
						};
					});

					var compiledTemplate = Template7.compile(content);
					dataJSON={
						main_title:translate.title,
						title_page:'تماس با ما',
						subject:data.subject,
						tickets:messages,
						replyId:data.replyId,
						tId:data.tId,
						uId:mId,
						message:translate['message'],
						send_comment:translate.sendComment,
						send:translate['send'],
						attach_pic:translate['attachPic']
					};
					next(compiledTemplate(dataJSON));

					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})

			break;
			case 'ticketadd.html':
			var compiledTemplate = Template7.compile(content);
			dataJSON={
				main_title:translate.title,
				title_page:'تماس با ما',
				subject:translate.subject,
				uId:mId,
				message:translate['message'],
				send_comment:translate.sendComment,
				send:translate['send'],
				attach_pic:translate['attachPic']
			};
			next(compiledTemplate(dataJSON));
			myApp.hideIndicator();
			break;
			// case 'belit.html':
			// myApp.mainView.history[myApp.mainView.history.length]='index.html';
			// 	myApp.showIndicator();
			// 	var compiledTemplate = Template7.compile(content);

			// 	dataJSON={
			// 		main_title:translate.title,
			// 		title_page:translate.buyTicket,
			// 		charter_url:domainLink+'/app.php?v=1'
			// 	};

			// 	next(compiledTemplate(dataJSON));
			// 	setTimeout(function(){myApp.hideIndicator()}, 3000);
			// break;
			case 'payment.html':

				var compiledTemplate = Template7.compile(content);

				dataJSON={
					main_title:translate.title,
					title_page:translate.cardToCard,
					charter_url:domainLink+'/Payment.html'
				};

				next(compiledTemplate(dataJSON));
				myApp.hideIndicator();
			break;
			case 'notebook.html':

			$$.ajax({
				url: hostUrl+glang+'/appv1/notes/prm/'+storage.getItem('mId'+defaultId),
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					varibles['notebookCount']=data.count;
					varibles['notebookCurent']=data.post.length;
					varibles['notebookRow']=1;
					varibles['notebookPage']=1;

					var compiledTemplate = Template7.compile(content);

					var cats=[];
					$.each(data['post'],function(key , val){
						cats[key]={
						'id':val['id'],
						'link':'notebook-item.html?id='+val['id'],
						'dateTime':val['date']+' '+val['time'],
						'title':(val['title']?val['title']+'<br />':''),
						};
					});
					dataJSON={

						main_title:translate.title,
						title_page:translate['notebook'],
						add_note:translate['addNote'],
						cats:(data['count']?cats:''),
						toolbarIcon:toolbarIcon
					};

					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})

			break;
			case 'notebook-item.html':
			$$.ajax({
				url: hostUrl+glang+'/appv1/viewnote/prm/'+mId+'/'+uri.id,
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					var compiledTemplate = Template7.compile(content);
					dataJSON={
						main_title:translate.title,
						title_page:translate['notebook'],
						subject:data['Title'],
						uId:mId,
						noteId:uri.id,
						content:data['Message'],
						send:translate['save'],
						add_note:translate['addNote'],
						delete:translate['delete'],
						toolbarIcon:toolbarIcon
					};
					next(compiledTemplate(dataJSON));

					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})

			break;
			case 'notebookadd.html':
			var compiledTemplate = Template7.compile(content);
			dataJSON={
				main_title:translate.title,
				title_page:translate['addNote'],
				subject:translate.subject,
				uId:mId,
				content:translate['content'],
				send:translate['save']
			};
			next(compiledTemplate(dataJSON));
			myApp.hideIndicator();
			break;
			case 'notification.html':
			myApp.mainView.history[myApp.mainView.history.length]='index.html';
			$$.ajax({
				url: hostUrl+glang+'/appv1/notification/prm/'+storage.getItem('mId'+defaultId),
				type: "GET",
				dataType: "json",
				// if successful response received (http 2xx)
				success: function(data, textStatus ){

					varibles['notificationCount']=data.count;
					varibles['notificationCurent']=data.post.length;
					varibles['notificationRow']=1;
					varibles['notificationPage']=1;
					storage.setItem('countMess'+defaultId,data.count);
					countMess=data.count;
					numNot=0;
					var compiledTemplate = Template7.compile(content);

					var noti=[];
					if(data['post'])
					$.each(data['post'],function(key , val){
						if(val['title'])
						noti[key]={
						'title':val['title'],
						'message':val['message'],
						'pic':val['pic']?val['pic']:'',
						'date':val['date']
						};
					});
					dataJSON={

						main_title:translate.title,
						title_page:translate['messages'],
						noti:noti,
					};

					next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hideIndicator();
					errorModal();
				}
			})
			window.plugins.OneSignal.clearOneSignalNotifications();
			break;
			default :
			var template = Template7.compile(content);
			var resultContent = template({main_title:translate.title});
			myApp.hideIndicator();
			return resultContent;
			break;
		}
	}
});

// Export selectors engine
var $$ = Dom7;

// Add main View
var mainView = myApp.addView('.view-main', {
	// Enable dynamic Navbar
	dynamicNavbar: false
});
// if(window.history && history.pushState){ // check for history api support
// 	window.addEventListener('load', function(){
// 		// create history states
// 		history.pushState(-1, null); // back state
// 		history.pushState(0, null); // main state
// 		history.pushState(1, null); // forward state
// 		history.go(-1); // start in main state
				
// 		this.addEventListener('popstate', function(event, state){
// 			// check history state and fire custom events
// 			if(state = event.state){
	
// 				event = document.createEvent('Event');
// 				event.initEvent(state > 0 ? 'next' : 'previous', true, true);
// 				this.dispatchEvent(event);
// 				// return false;
// 				// reset state
// 				history.go(-state);
// 				mainView.router.back({
// 				  url: 'index.html', // - in case you use Ajax pages
// 				  pageName: 'index', // - in case you use Inline Pages or domCache
// 				  force: true
// 				});
// 			}
// 		}, false);
// 	}, false);
// }

// mainView.router.back();
// mainView.router.loadPage('about.html');
// mainView.router.back({pageName: 'index', force: true})

// var loginHTML	= Template7.templates.passTemplate({
// 	password: translate['password'],
// 	user: $('#cellUser').val(),
// 	later: translate['later'],
// 	accept: translate['accept']
// });
// $('#popupLogin').html(loginHTML);
// myApp.popup('.popup-login');
// timerResend('pass')

function timerResend(mod) {
	var seconds = 60;
	var x = setInterval(function() {

	  if (seconds < 0) {
	    clearInterval(x);
	    $('.timepass').html('<input type="button" class="form_submit resend" value="درخواست مجدد" />');
	    $('.resend').on('click touchstart',function(){
		timerResend(mod);
		$$.ajax({
			url: hostUrl+'appv1/resend/',
			type: "POST",
			data: {'user':user,'mod':mod},
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				return true;
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();
			}
		});
	})
	    return false;
	  }
	  if(mod=='pass'){
	  	messResend='کلمه عبور برای شما پیامک شد';
	  }
	  else {
	  	messResend='کد فعال سازی برای شما پیامک شد';
	  }
	  $('.timepass').html(messResend+' ('+seconds+')');
	  seconds--;
	}, 1000);
}

function errorModal(){
myApp.modal({
    title:  errorConnection,
    text: errorConnectionEn+'<div class="signup_bottom">\
           <a href="tel:09129176297" class="external">تماس با ما</a>\
          </div>',
    buttons: [
      {
        text: 'خرید بلیط',
        onClick: changePage
      },
      {
        text: 'تلاش مجدد',
        onClick: function () {
        	location.reload();
        }
      }
    ]
  })
}

// set popup language
function setLangs() {
	data =$.parseJSON(storage.getItem('langs'+defaultId));
	countLang =$.map(data['langs'], function(el) { return el }).length;
	if (countLang>1) {
		var langs='';

		$.each(data['langs'], function( key, value ) {
			langs+='<a href="#" class="form_submit close-popup defaultLang" value="'+key+'" dir="'+value['dir']+'">'+value['title']+'</a>';
		});

		$('#langform').html(langs);
		myApp.popup('.popup-languages', true);
	}
	else {
		$.each(data['langs'], function( key, value ) {
			setSetting(key,value['dir'],false);
		});
	}
}

function setSetting(lang,dir,changeLang) {
	if(lang==glang && changeLang){
		return false;
	}
	if(glang && glang!=lang){
		nowLangs=storage.getItem('langs'+defaultId);
		localStorage.clear();
		setSlide=false;
		storage.setItem('langs'+defaultId,nowLangs);
		storage.setItem('version'+defaultId,version)
	}
	if(mId)storage.setItem('mId'+defaultId,mId);
	glang=lang;
	storage.setItem('dLang'+defaultId,lang);
	storage.setItem('dirLang'+defaultId,dir);
	setDir();
	myApp.showIndicator();
	$$.ajax({
		url: hostUrl+lang+'/appv1/getindex/',
		type: "GET",
		// if successful response received (http 2xx)
		success: function(data, textStatus ){

			data = $.parseJSON(data);
			// alert(JSON.stringify(data['jobs']))
			storage.setItem('index'+defaultId,JSON.stringify(data['index']));
			storage.setItem('ostan'+defaultId,JSON.stringify(data['ostan']));
			// storage.setItem('jobs'+defaultId,JSON.stringify(data['jobs']));
			storage.setItem('translate'+defaultId,JSON.stringify(data['translate']));
			storage.setItem('themColor'+defaultId,data.theme.color);
			storage.setItem('homeIcon'+defaultId,data.theme.hicon);
			storage.setItem('toolbarIcon'+defaultId,data.theme.micon);
			storage.setItem('lastUp'+defaultId,data.lastUpdate);
			storage.setItem('domainLink'+defaultId,data.domainLink);
			storage.setItem('iosLink'+defaultId,data.iosLink);

			lastUp 	=data.lastUpdate;

			themColor=data.theme.color;
			homeIcon=data.theme.hicon;
			toolbarIcon=data.theme.micon;
			$('#themColor').attr('href',themColor+'.css');
			initPage=false;
			if(changeLang && mId){
				if(varibles['urlPage']=='index.html'){
					window.location.replace('');
				}
				else {
					location.reload();
				}
			}
			init();
			// if(!storage.getItem('mId'+defaultId)){
			// 	setLogin();
			// }
			myApp.hideIndicator();
			$('#mobile_wrap').css('visibility','visible');
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			$('#mobile_wrap').css('visibility','visible');
			errorModal();

		}
	});

}

function setLogin(){
	var translate	=$.parseJSON(storage.getItem('translate'+defaultId));
	var ostan		=$.parseJSON(storage.getItem('ostan'+defaultId));
	var cmoboOstan	='';
	$.each(ostan,function(key,val){
		cmoboOstan+='<option value="'+val['id']+'">'+val['title']+'</option>';
	});
	// var jobs		=$.parseJSON(storage.getItem('jobs'+defaultId));
	// var cmoboJobs	='';
	// $.each(jobs,function(key,val){
	// 	cmoboJobs+='<option value="'+val['id']+'">'+val['title']+'</option>';
	// });

	var loginHTML	=Template7.templates.loginTemplate({
		register: translate['register'],
		login: translate['login'],
		password: translate['password'],
		forgotpass: translate['forgotpass'],
		name: translate['name'],
		family: translate['family'],
		cell: translate['cell'],
		// birthDate: translate['birthDate'],
		accept: translate['accept'],
		later: translate['later'],
		select_ostan: translate['ostanSelected'],
		// select_jobs:translate['jobsSelected'],
		ostan: cmoboOstan,
		// jobs: cmoboJobs,
	});


	var lang =storage.getItem('dLang'+defaultId);
	$('#popupLogin').html(loginHTML);

	myApp.popup('.popup-login');
	$('.playerId').val(storage.getItem('appId'+defaultId)?storage.getItem('appId'+defaultId):0);
	$("#registerForm").validate({messages: {name:{required:translate['required']},family:{required:translate['required']},cell:{required:translate['required']},ostan:{required:translate['required']}},
	submitHandler: function (form) {
		if(!Number($('#userCity').val())){
			myApp.alert(translate['reqCity'],'');
			return false;
		}
		$('.playerId').val(storage.getItem('appId'+defaultId)?storage.getItem('appId'+defaultId):0);
		myApp.showPreloader(waiting);
		$$.ajax({
			type: "POST",
			url: hostUrl+lang+'/appv1/register/',
			data: $(form).serialize(),
			dataType: "json",
			success: function (data, textStatus) {
				if(data.report && !data.error){
					storage.setItem('user'+defaultId,$('#cellUser').val());
					storage.setItem('registerDate'+defaultId,(Date.now()/1000));
					var loginHTML	= Template7.templates.passTemplate({
						password: translate['password'],
						user: $('#cellUser').val(),
						later: translate['later'],
						accept: translate['accept']
					});
					
					$('#popupLogin').html(loginHTML);
					timerResend('pass');
					login();
					// myApp.closeModal('.popup-login',true);
				}
				else {
					myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
				}
				myApp.hidePreloader();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hidePreloader();
				errorModal();

			}
		});
		return false; // required to block normal submit since you used ajax
	}
	});

	function login(){
		$('.playerId').val(storage.getItem('appId'+defaultId)?storage.getItem('appId'+defaultId):0);
		$("#loginForm").validate({messages: {user:{required:translate['required']},password:{required:translate['required']}},
		submitHandler: function (form) {
			$('.playerId').val(storage.getItem('appId'+defaultId)?storage.getItem('appId'+defaultId):0);
			myApp.showPreloader(waiting);
			$$.ajax({
				type: "POST",
				url: hostUrl+lang+'/appv1/login/',
				data: $(form).serialize(),
				dataType: "json",
				success: function (data, textStatus) {
					if(data.report && !data.error){
						mId=data.uId
						storage.setItem('mId'+defaultId,mId);
						storage.setItem('mPass'+defaultId,$('.cellPass').val());
						storage.setItem('user'+defaultId,$('#cellUserLogin').val());
						storage.setItem('registerDate'+defaultId,(Date.now()/1000));
						myApp.closeModal('.popup-login',true);
						location.reload();
					}
					else {
						myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
					}
					myApp.hidePreloader();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hidePreloader();
					errorModal();

				}
			});
			return false; // required to block normal submit since you used ajax
		}
		});
	}
	
	if(!mId){
		login();
	}
	$(document).on('click','#forgotpass',function(){
		var loginHTML	=Template7.templates.forgotTemplate({
			user: translate['cell'],
			later: translate['later'],
			accept: translate['accept']
		});

		$('#popupLogin').html(loginHTML);

		$("#forgotForm").validate({messages: {user:{required:translate['required']}},
		submitHandler: function (form) {
			myApp.showPreloader(waiting);
			$$.ajax({
				type: "POST",
				url: hostUrl+lang+'/appv1/forgot/',
				data: $(form).serialize(),
				dataType: "json",
				success: function (data, textStatus) {
					if(data.report && !data.error){
						var loginHTML	=Template7.templates.changePassTemplate({
							user: $('#cellUserForgot').val(),
							activeCode: translate['activeCode'],
							newPassword: translate['newPassword'],
							later: translate['later'],
							accept: translate['accept']
						});
						$('#popupLogin').html(loginHTML);
						timerResend('active');
						$("#changePassForm").validate({messages: {user:{required:translate['required']}},
						submitHandler: function (form) {
							myApp.showPreloader(waiting);
							$$.ajax({
								type: "POST",
								url: hostUrl+lang+'/appv1/comfirm/',
								data: $(form).serialize(),
								dataType: "json",
								success: function (data, textStatus) {
									if(data.report && !data.error){
										mId=data.uId
										storage.setItem('mId'+defaultId,mId);
										storage.setItem('mPass'+defaultId,$('.cellPass').val());
										storage.setItem('user'+defaultId,$('#cellUserForgot').val());
										myApp.closeModal('.popup-login',true);
									}
									else {
										myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
									}
									myApp.hidePreloader();
								},
								error: function(xhr, textStatus){
									// We have received response and can hide activity indicator
									myApp.hidePreloader();
									errorModal();
								}
							});
							return false; // required to block normal submit since you used ajax
						}
						});
					}
					else {
						myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
					}
					myApp.hidePreloader();
				},
				error: function(xhr, textStatus){
					// We have received response and can hide activity indicator
					myApp.hidePreloader();
					errorModal();
				}
			});
			return false; // required to block normal submit since you used ajax
		}
		});

	});
}

function setDir(){
	if(storage.getItem('dirLang'+defaultId)=='rtl'){
		$('#cssRTL').attr('href','css/framework7.'+sysApp+'.rtl.css');
	}
	else {
		$('#cssRTL').attr('href','#');
	}
}
initPage=false;
function init() {

	if(initPage)return false;

	initPage=true;
	translate	=$.parseJSON(storage.getItem('translate'+defaultId));
	index 		=$.parseJSON(storage.getItem('index'+defaultId));
	glang 		=storage.getItem('dLang'+defaultId);
	dir 		='g'+storage.getItem('dirLang'+defaultId);
	var menu	='';
	var endMenu	='';
	var mainMenu='';
	var endMainMenu='';

	$.each(index, function( key, value ) {
		switch(key){
			case 'index':
			menu+='<li class="'+dir+'"><a href="#" class="close-panel" id="indexMenu"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			break;
			case 'products':

			break;
			case 'social':
			endMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			if(value['status'])endMainMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			break;
			case 'languages':
			data =$.parseJSON(storage.getItem('langs'+defaultId));
			countLang =$.map(data['langs'], function(el) { return el }).length;
			if (countLang>1) {
				endMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
				if(value['status'])mainMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
				var langs='';

				$.each(data['langs'], function( key, value ) {
					langs+='<a href="#" class="form_submit close-popup defaultLang" value="'+key+'" dir="'+value['dir']+'">'+value['title']+'</a>';
				});

				$('#langform').html(langs);
			}
			break;
			case 'freepage':
			$.each(value, function( subKey, subValue ) {
				if(subValue['type']){
					menu+='<li class="'+dir+'"><a href="'+key+'.html?id='+subValue['id']+'&title='+encodeURI(subValue['title'])+'" class="close-panel"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
					if(subValue['status'])mainMenu+='<li class="'+dir+'"><a href="'+key+'.html?id='+subValue['id']+'&title='+encodeURI(subValue['title'])+'"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
				}
				else {
					menu+='<li class="'+dir+'"><a href="'+key+'-item.html?id='+subValue['id']+'" class="close-panel"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
					if(subValue['status'])mainMenu+='<li class="'+dir+'"><a href="'+key+'-item.html?id='+subValue['id']+'"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
				}

			});
			break;
			case 'external':
			$.each(value, function( subKey, subValue ) {
				menu+='<li class="'+dir+'"><a href="'+subValue['link']+'" class="close-panel external" target="_blank"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
				if(subValue['status'])mainMenu+='<li><a href="'+subValue['link']+'" class="external" target="_blank"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
			});
			break;
			case 'contact':
			
			break;
			case 'ticket':
				menu+='<li class="'+dir+'"><a href="'+key+'.html" data-ignore-cache="true" class="close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+'تماس با ما'+' <i class="messTick">'+(numTick?'('+numTick+')':'')+'</i></span></a></li>';
			if(value['status'])mainMenu+='<li class="'+dir+'"><a href="'+key+'.html" data-ignore-cache="true"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+'تماس با ما'+' <i class="messTick" style="color:yellow; font-weight:normal;font-style:normal">'+(numTick?'('+numTick+')':'')+'</i></span></a></li>';
			break;
			default :
			menu+='<li class="'+dir+'"><a href="'+key+'.html" class="close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			if(value['status'])mainMenu+='<li class="'+dir+'"><a href="'+key+'.html"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			break;
		}
	});

	menu+='<li class="'+dir+'"><a href="notification.html" class="close-panel" data-ignore-cache="true"><img src="images/icons/'+homeIcon+'/62.png" alt="" title="" /><span>'+translate['messages']+' <i class="messNot">'+(numNot?'('+numNot+')':'')+'</i></span></a></li>';
	endMainMenu+='<li class="'+dir+'"><a href="notification.html" data-ignore-cache="true"><img src="images/icons/'+homeIcon+'/62.png" alt="" title="" /><span>'+translate['messages']+' <i class="messNot" style="color:yellow; font-weight:normal;font-style:normal">'+(numNot?'('+numNot+')':'')+'</i></span></a></li>';
	menu+='<li class="'+dir+'"><a href="notebook.html" class="close-panel" data-ignore-cache="true"><img src="images/icons/'+homeIcon+'/48.png" alt="" title="" /><span>'+translate['notebook']+'</span></a></li>';
	mainMenu+='<li class="'+dir+'"><a href="notebook.html" data-ignore-cache="true"><img src="images/icons/'+homeIcon+'/48.png" alt="" title="" /><span>'+translate['notebook']+'</span></a></li>';
	mainMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-share" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/59.png" alt="" title="" /><span>'+translate['shareApp']+'</span></a></li>';
	endMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-share" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/59.png" alt="" title="" /><span>'+translate['shareApp']+'</span></a></li>';

	$('#socialTitle').html(translate['social']);
	$('#sidebar').html(menu+endMenu);
	varibles['mainMenu']=mainMenu+endMainMenu;
	$('#mainMenu').html(varibles['mainMenu']);
	$('#belitBtton').html(translate.buyTicket).attr('href',domainLink+'/app.php?v=1');
	setSlider();
	$('#mobile_wrap').css('visibility','visible');
}
// myApp.params.modalPopupCloseByOutside = false;
// errorModal();
$(document).ready(function() {

	$('.close-popup').on('click', function() {
		$("label.error").hide();
	});
	
	$('#themColor').attr('href',themColor+'.css');

	myApp.showIndicator();
	// load languages
	if(!storage.getItem('langs'+defaultId)){
		
		$$.ajax({
			url: hostUrl+'appv1/getLangs/',
			type: "GET",
			dataType: "html",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){

				storage.setItem('langs'+defaultId,data);
				setLangs();
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		});

	}
	else {

		// check default language
		if (!storage.getItem('dLang'+defaultId)){
			setLangs();
		}
		else {
			setDir();
			init();

			// open form login
			// if(!storage.getItem('mId'+defaultId)){
			// 	setLogin();
			// }
			setSlider();
		}
	}
		$$.ajax({
			url: hostUrl+'appv1/lastupdate/prm/'+mId,
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				if(storage.getItem('langs'+defaultId)){
					if(data.lastUpdate!=lastUp) {
						storage.setItem('lastUp'+defaultId,data.lastUpdate);
						lastUp=data.lastUpdate;
						myApp.showIndicator();
						reloadPage();
					}
				}
				numNot=(Number(data.countMess)>Number(countMess))?(Number(data.countMess)-Number(countMess)):0;
				if(numNot) {
					$('.messNot').html('('+numNot+')');
				}
				else {
					$('.messNot').html('');
				}

				numTick=(Number(data.countTick)>Number(countTick))?(Number(data.countTick)-Number(countTick)):0;
				if(numTick) {
					$('.messTick').html('('+numTick+')');
				}
				else {
					$('.messTick').html('');
				}
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();
			}
		})
	
});

$(document).on('change','.ostan',function(){
	var obj=$(this);
	myApp.showIndicator();

	$$.ajax({
		url: hostUrl+glang+'/appv1/city/prm/'+obj.val(),
		type: "GET",
		dataType: "json",
		success: function(data, textStatus ){

			var city='<select class="form_select" name="city" id="userCity">';
			city+='<option value="0">'+translate['citySelected']+'</option>';
			$.each(data, function( key, value ) {
				city+='<option value="'+value['id']+'">'+value['title']+'</option>';
			});
			city+='</select>';

			$('#cityBox').html(city);
			myApp.hideIndicator();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			errorModal();
		}
	});
})
$(document).on('click','#reload',function(){

	reloadPage();
});

function reloadPage() {
	localStorage.clear();
	if(mId)storage.setItem('mId'+defaultId,mId);
	if(glang)storage.setItem('dLang'+defaultId,glang);
	if(lastUp)storage.setItem('lastUp'+defaultId,lastUp);
	if(countMess)storage.setItem('countMess'+defaultId,countMess);
	if(profile)storage.setItem('profile'+defaultId,profile);
	window.location.replace('');
}

var setSlide=false;
function setSlider(){
	if(setSlide)return false;
	setSlide=true;
	myApp.showIndicator();
	$$.ajax({
		url: hostUrl+glang+'/appv1/slider/prm/'+sysApp+'/'+mId,
		type: "GET",
		dataType: "json",
		// if successful response received (http 2xx)
		success: function(data, textStatus ){
			var slider='';
			$.each(data['slider'], function( key, value ) {
				slider+='<div class="swiper-slide"><img src="'+value+'" alt="" title="" /></div>';
			});
			varibles['slider']=(slider)?slider:'<div class="swiper-slide"><img src="images/slider/slide1.jpg" alt="" title="" /></div>';
			$('#homeSlider').html(varibles['slider']);
			mySwiper = new Swiper('.swiper-container',{effect:'slide',parallax:true,pagination:'.swiper-pagination',paginationClickable:true});
			if(sysApp=='android' && data.app.version>version){
				myApp.addNotification({
					title: '',
					message: translate['newVersion']+' <a href="'+data.app.link+'" class="external appColor">'+translate['yesDown']+'</a>',
				});
			}
			myApp.hideIndicator();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			errorModal();
		}
	});
}
$$('.popup-social').on('popup:opened', function () {
	myApp.showIndicator();
	$$.ajax({
		url: hostUrl+glang+'/appv1/social/',
		type: "GET",
		dataType: "json",
		// if successful response received (http 2xx)
		success: function(data, textStatus ){
			var socials='';
			$.each(data,function(key , val){
				socials+='<li><a href="'+val['link']+'" class="external" target="_blank"><img src="images/icons/black/'+val['icon']+'.png" alt="" title="" /><span>'+val['title']+'</span></a></li>';
			});
			$('.social_icons').html(socials);
			myApp.hideIndicator();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			errorModal();

		}
	})
});

$$('.popup-share').on('popup:opened', function () {
	$('#shareAndroid').html(translate['shareAndroid']);
	share ='<li><a href="mailto:?subject=app download&amp;body='+bazarLink+'" class="external"><img src="images/icons/black/10.png" alt="" title="" /><span>'+translate['mail']+'</span></a></li>';
	share+='<li><a href="sms:?body='+bazarLink+'" class="external"><img src="images/icons/black/31.png" alt="" title="" /><span>'+translate['sms']+'</span></a></li>';
	share+='<li><a href="https://telegram.me/share/url?url=download&text='+bazarLink+'" class="external"><img src="images/icons/black/57.png" alt="" title="" /><span>'+translate['telegram']+'</span></a></li>';
	$('#androidShare').html(share);
	if(iosLink){
		$('#shareIos').html(translate['shareIos']);
		share='<li><a href="mailto:?subject=app download&amp;body='+iosLink+'" class="external"><img src="images/icons/black/10.png" alt="" title="" /><span>'+translate['mail']+'</span></a></li>';
		share+='<li><a href="sms:?body='+iosLink+'" class="external"><img src="images/icons/black/31.png" alt="" title="" /><span>'+translate['sms']+'</span></a></li>';
		share+='<li><a href="https://telegram.me/share/url?url=download&text='+iosLink+'" class="external"><img src="images/icons/black/57.png" alt="" title="" /><span>'+translate['telegram']+'</span></a></li>';
		$('#iosShare').html(share);
	}
});

// $$('.popup-contact').on('popup:opened', function () {
// 	$('#contactusTitle').html(translate['ticket']);
// 	myApp.showPreloader(waiting);
// 	$$.ajax({
// 		url: hostUrl+glang+'/appv1/contact/',
// 		type: "GET",
// 		dataType: "json",
// 		// if successful response received (http 2xx)
// 		success: function(data, textStatus ){

// 	        $('#contactus').html(
// 	        	data.address+'<br />'+
// 	        	data.web+'<br />'+
// 				data.email+'<br />'+
// 				data.cell+'<br />'+
// 				data.tell);
// 			myApp.hidePreloader();
// 		},
// 		error: function(xhr, textStatus){
// 			// We have received response and can hide activity indicator
// 			myApp.hidePreloader();
// 			errorModal();
// 		}
// 	})
// });
// $$(document).on('page:back', function (e) {
//   // alert(1)
//   mainView.router.loadPage('index.html');
// })
$(window).on('popstate', function(){
  // myApp.closeModal();
  onBackKeyDown()
});
function onBackKeyDown() {
  if ($$('.modal-in').length > 0) {
    myApp.closeModal();
    return false;
  } else if ($$('.photo-browser-in').length > 0) {
    photoBrowserStandalone.close();
    return false;
  } else {
    // mainView.router.back();
  }
  return true;
}
$$(document).on('pageInit', function (e) {
	// alert(myApp.mainView.history.length)
	// myApp.mainView.history[myApp.mainView.history.length]='index.html';
	var timeInMs=Date.now();
	countDay	=(timeInMs/1000)-registerDate;
	if(countDay>2592000 && mId && !profile) {//
		registerDate=(timeInMs/1000);
		storage.setItem('registerDate'+defaultId,registerDate);
		myApp.popup('.popup-profile');
	}

	$('.close-popup').on('click', function() {
		$("label.error").hide();
	});

	$('#belitBtton').html(translate.buyTicket).attr('href',domainLink+'/app.php?v=1');

	$('.searchPart').on('click touchstart',function(){
		mainView.router.loadPage({url:'partners.html?title='+encodeURI($(this).prev('input').val()),ignoreCache: true});
	})

	// $$.ajax({
	// 	url: hostUrl+'appv1/lastupdate/prm/'+mId,
	// 	type: "GET",
	// 	dataType: "json",
	// 	// if successful response received (http 2xx)
	// 	success: function(data, textStatus ){
	// 		numNot=(Number(data.countMess)>Number(countMess))?(Number(data.countMess)-Number(countMess)):0;
	// 		if(numNot) {
	// 			$('.messNot').html('('+numNot+')');
	// 		}
	// 		else {
	// 			$('.messNot').html('');
	// 		}

	// 		numTick=(Number(data.countTick)>Number(countTick))?(Number(data.countTick)-Number(countTick)):0;
	// 		if(numTick) {
	// 			$('.messTick').html('('+numTick+')');
	// 		}
	// 		else {
	// 			$('.messTick').html('');
	// 		}
	// 		myApp.hideIndicator();
	// 	},
	// 	error: function(xhr, textStatus){
	// 		// We have received response and can hide activity indicator
	// 		myApp.hideIndicator();
	// 		errorModal();
	// 	}
	// })

})

$$('.popup-profile').on('popup:opened', function () {
	myApp.showIndicator();
	$$.ajax({
		url: hostUrl+'appv1/jobs/',
		type: "GET",
		dataType: "json",
		// if successful response received (http 2xx)
		success: function(data, textStatus ){
			options='';
			$.each(data,function(key , val){
				options+='<option value="'+val['id']+'">'+val['title']+'</option>';
			});
			var profileHTML	=Template7.templates.profileTemplate({
				profile_title: translate['profile'],
				select_jobs: translate['jobsSelected'],
				uId:mId,
				jobs:options,
				email: translate['mail'],
				birthDate: translate['birthDate'],
				accept: translate['accept'],
				later: translate['later']
			});

			$('#popupProfile').html(profileHTML);
			$("#profileForm").validate({messages: {job:{required:translate['required']}},
				submitHandler: function (form) {

					myApp.showPreloader(waiting);
					// Get form
					var form = $('#profileForm')[0];
					// Create an FormData object
					var data = new FormData(form);
					// alert(data.toString())
					$$.ajax({
						type: "POST",
						enctype: 'multipart/form-data',
						url: hostUrl+glang+'/appv1/profile/',
						data: data,
						dataType: "json",
						success: function (data, textStatus) {
							if(!data.error){
								storage.setItem('profile'+defaultId,'1');
								myApp.closeModal('.popup-profile');
							}
							else {
								myApp.alert(data.report.error_msg,translate['error']);
							}
							myApp.hidePreloader();
						},
						error: function(xhr, textStatus){
							// We have received response and can hide activity indicator
							myApp.hidePreloader();
							errorModal();

						}
					});
					return false; // required to block normal submit since you used ajax
				}
				});

			myApp.hideIndicator();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			errorModal();
		}
	})

});

myApp.onPageBeforeAnimation('index',function(){
	if(varibles['slider']){
		$('#homeSlider').html(varibles['slider']);
		mySwiper = new Swiper('.swiper-container',{effect:'slide',parallax:true,pagination:'.swiper-pagination',paginationClickable:true});
	}
});

myApp.onPageAfterAnimation('index',function(page){
	$('#mainMenu').html(varibles['mainMenu']);

	$$.ajax({
		url: hostUrl+'appv1/lastupdate/prm/'+mId,
		type: "GET",
		dataType: "json",
		// if successful response received (http 2xx)
		success: function(data, textStatus ){
			
			numNot=(Number(data.countMess)>Number(countMess))?(Number(data.countMess)-Number(countMess)):0;
			if(numNot) {
				$('.messNot').html('('+numNot+')');
			}
			else {
				$('.messNot').html('');
			}

			numTick=(Number(data.countTick)>Number(countTick))?(Number(data.countTick)-Number(countTick)):0;
			if(numTick) {
				$('.messTick').html('('+numTick+')');
			}
			else {
				$('.messTick').html('');
			}
			myApp.hideIndicator();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			errorModal();
		}
	})
});

// myApp.onPageInit('partners', function (page) {
// 	alert(1)
// 	$('#searchPart').click(function(){
// 		mainView.router.loadPage({url:'partners.html?title='+encodeURI($('#searchPartners').val()),ignoreCache: true});
// 	})
// })

myApp.onPageInit('ticketitem', function (page) {

	$('#pic').change(function(){
		$('#titlePic').html(translate['selectedPic']);
	});

	$("#ticketform").validate({messages: {message:{required:translate['required']}},
	submitHandler: function (form) {
		if(!mId){
			setLogin();
			return false;
		}
		myApp.showPreloader(waiting);
		// Get form
		var form = $('#ticketform')[0];
		// Create an FormData object
		var data = new FormData(form);
		$$.ajax({
			type: "POST",
			enctype: 'multipart/form-data',
			url: hostUrl+glang+'/appv1/replayticket/',
			data: data,
			processData: false,
			contentType: false,
			cache: false,
			dataType: "json",
			success: function (data, textStatus) {
				if(!data.log.error){
					var messages='';

					$.each(data.ticket,function(key , val){
						messages+='<li>'+'<p class="'+(val['sender']?'replay':'')+'">';
						messages+='<span class="silver">'+val['sender']+'  '+val['date']+'</span><br />';
						messages+=val['message'];
						messages+=val['pic']?'<img src="'+val['pic']+'">':'';
						messages+='</p></li>';
					});
					$('#ticketContent').html(messages);
					form.reset();
				}
				else {
					myApp.alert(data.report.error_msg,translate['error']);
				}
				myApp.hidePreloader();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hidePreloader();
				errorModal();

			}
		});
		return false; // required to block normal submit since you used ajax
	}
	});
});

myApp.onPageInit('ticketadd', function (page) {

	$('#pic').change(function(){
		$('#titlePic').html(translate['selectedPic']);
	})

	$("#ticketFormAdd").validate({messages: {subject:{required:translate['required']},message:{required:translate['required']}},
	submitHandler: function (form) {
		if(!mId){
			setLogin();
			return false;
		}
		myApp.showPreloader(waiting);
		// Get form
		var form = $('#ticketFormAdd')[0];
		// Create an FormData object
		var data = new FormData(form);
		$$.ajax({
			type: "POST",
			enctype: 'multipart/form-data',
			url: hostUrl+glang+'/appv1/addticket/',
			data: data,
			processData: false,
			contentType: false,
			cache: false,
			timeout: 600000,
			dataType: "json",
			success: function (data, textStatus) {
				if(data.report && !data.error){
					mainView.router.loadPage({url:'ticket-item.html?id='+data.tId,ignoreCache: true});
				}
				else {
					myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
				}
				myApp.hidePreloader();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hidePreloader();
				errorModal();
			}
		});
		return false; // required to block normal submit since you used ajax
	}
	});
});

myApp.onPageInit('notebookadd', function (page) {
		
	$("#noteFormAdd").validate({messages: {subject:{required:translate['required']},content:{required:translate['required']}},
	submitHandler: function (form) {
		if(!mId){
			setLogin();
			return false;
		}
		myApp.showPreloader(waiting);
		// Get form
		var form = $('#noteFormAdd')[0];
		// Create an FormData object
		var data = new FormData(form);
		$$.ajax({
			type: "POST",
			enctype: 'multipart/form-data',
			url: hostUrl+glang+'/appv1/addnotes/',
			data: data,
			processData: false,
			contentType: false,
			cache: false,
			timeout: 600000,
			dataType: "json",
			success: function (data, textStatus) {
				if(data.report && !data.error){
					mainView.router.loadPage({url:'notebook.html?id='+data.tId,ignoreCache: true});
				}
				else {
					myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
				}
				myApp.hidePreloader();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hidePreloader();
				errorModal();

			}
		});
		return false; // required to block normal submit since you used ajax
	}
	});
	if(!mId){
		setLogin();
	}
});
myApp.onPageInit('notebook-item', function (page) {

	$("#noteFormEdit").validate({messages: {subject:{required:translate['required']},content:{required:translate['required']}},
	submitHandler: function (form) {
		if(!mId){
			setLogin();
			return false;
		}
		myApp.showPreloader(waiting);
		// Get form
		var form = $('#noteFormEdit')[0];
		// Create an FormData object
		var data = new FormData(form);
		$$.ajax({
			type: "POST",
			enctype: 'multipart/form-data',
			url: hostUrl+glang+'/appv1/editnotes/',
			data: data,
			processData: false,
			contentType: false,
			cache: false,
			timeout: 600000,
			dataType: "json",
			success: function (data, textStatus) {
				if(data.error){
					myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
				}
				myApp.hidePreloader();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hidePreloader();
				errorModal();

			}
		});
		return false; // required to block normal submit since you used ajax
	}
	});

	$('#deleteNote').on('click touchstart',function(){
		var nId=$(this).attr('noteId');
		$$.ajax({
			type: "POST",
			url: hostUrl+glang+'/appv1/deletenotes/',
			data: {'noteId':nId,'uId':mId},
			cache: false,
			timeout: 600000,
			dataType: "json",
			success: function (data, textStatus) {
				if(data.error){
					myApp.alert(data.error_msg,'<span style="color:red">'+translate['error']+'</span>');
				}
				else {
					myApp.hidePreloader();
					mainView.router.loadPage({url:'notebook.html',ignoreCache: true});
				}
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hidePreloader();
				errorModal();

			}
		});
		return false;
	});
});
function notebookTemplate(data){
	// var posts=[];
	row='';
	// if(data.count)
	$.each(data, function(key,val){

		if(val['id']){
			row+='<li class="bg6">\
	      <div class="feat_small_details">\
	      <a href="notebook-item.html?id='+val['id']+'" style="display: block;" data-ignore-cache="true">'+val['title']+'</a>\
	      <span dir="ltr" class="left color_2">'+val['date']+''+val['time']+'</span>\
	      </div>\
	      </li>';
			varibles['notebookRow']++;
		}
	});

	return row;
}

myApp.onPageInit('notebook', function (page) {

	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;

		if (varibles['notebookCurent']>=varibles['notebookCount']) {
			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			// Remove preloader
			// $$('.infinite-scroll-preloader').remove();
			return;
		}
		varibles['notebookPage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/notes/prm/'+mId+'/'+varibles['notebookPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['notebookCurent']+=data.post.length;
				$('#postNotebook').append(notebookTemplate(data['post']));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});

})
function notificationTemplate(data){
	// var posts=[];
	row='';
	// if(data.count)
	$.each(data, function(key,val){

			row+='<li class="bg6">\
      <div class="feat_small_details">\
      '+val['title']+'<br />\
      '+val['message']+'<br />\
      '+'<span class="color_2">'+val['date']+'</span>'+'\
      </div>\
      </li>';
			varibles['notificationRow']++;
	});

	return row;
}
myApp.onPageInit('notification', function (page) {

	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;

		if (varibles['notificationCurent']>=varibles['notificationCount']) {
			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			// Remove preloader
			// $$('.infinite-scroll-preloader').remove();
			return;
		}
		varibles['notificationPage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/notification/prm/'+mId+'/'+varibles['notificationPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['notificationCurent']+=data.post.length;
				$('#postNotification').append(notificationTemplate(data['post']));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});

})
myApp.onPageInit('blogitem', function (page) {
	$('.comment_submit').on( "click",function(e){
		e.preventDefault();
		sendMessage(page.query.id,$(this));
	});

	$$('#tab2').on('show', function () {
		getMessage(page.query.id,1,$(this))
	});
});
myApp.onPageInit('productsitem', function (page) {
	$('.comment_submit').on( "click",function(e){
		e.preventDefault();
		sendMessage(page.query.id,$(this));
	});

	$$('#tab2').on('show', function () {
		getMessage(page.query.id,2,$(this))
	});
});
myApp.onPageInit('freepageitem', function (page) {
	$('.comment_submit').on( "click",function(e){
		e.preventDefault();
		sendMessage(page.query.id,$(this));
	});

	$$('#tab2').on('show', function () {
		getMessage(page.query.id,3,$(this))
	});
});
function getMessage(id,type,obj){
	myApp.showIndicator();
	$$.ajax({
		url: hostUrl+glang+'/appv1/comments/prm/'+id+'/'+type,
		type: "GET",
		dataType: "json",
		// if successful response received (http 2xx)
		success: function(data, textStatus ){
			comments='';
			$.each(data,function(key , val){
				comments+='<li class="comment_row"><div class="comm_content"><p>'+val['message']+'<br /> <a href="#">'+val['name']+' '+val['cDate']+'</a></p></div>';
				comments+=(val['replay'])?('<ul><li class="replay">'+val['replay']+'<br />'+val['replayDate']+'</li></ul>'):'';
				comments+='</li>';
			});

			obj.children('ul').html(comments);
			myApp.hideIndicator();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hideIndicator();
			errorModal();

		}
	})
}
function sendMessage(id,obj){
	// if(!mId){
	// 	setLogin();
	// 	return false;
	// }
	textMessage=obj.parent().children('#comment').val();
	if(!textMessage){
		myApp.alert(translate['required'],'');
		return false;
	}
	myApp.showPreloader(waiting);
	$$.ajax({
		url: hostUrl+glang+'/appv1/addcomment/prm/'+id+'/'+obj.parent().children('#type').val()+'/'+mId,
		type: "POST",
		data:{'textMessage':textMessage},
		// if successful response received (http 2xx)
		success: function(data, textStatus ){
			txt=$.parseJSON(data);
			myApp.alert(txt.message,txt.error);
			obj.parent().children('#comment').val('');
			myApp.hidePreloader();
		},
		error: function(xhr, textStatus){
			// We have received response and can hide activity indicator
			myApp.hidePreloader();
			errorModal();

		}
	})
	return false;
}

// open login form
$(document).on( "click", ".defaultLang", function() {
	setSetting($(this).attr('value'),$(this).attr('dir'),true);
});
// load map
myApp.onPageInit('contact', function (page) {

	$('.contact_submit').on( "click",function(e){
		e.preventDefault();
		// if(!mId){
		// 	setLogin();
		// 	return false;
		// }
		if(!$('#ContactComment').val()){
			myApp.alert(translate['required'],'');
			return false;
		}
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/addcontact/prm/'+mId,
			type: "POST",
			data:{'textMessage':$('#ContactComment').val()},
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				txt=$.parseJSON(data);
				myApp.alert(txt.message,'');
				$('#ContactComment').val('')
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	})
	$.getScript('http://maps.google.com/maps/api/js?key=AIzaSyCju6A0rRt9gmIqTqCKDJUPuvtJ9d0rWLo', function () {
		//we define here the style of the map
		var style= [{"stylers":[{"visibility": "on"},{"saturation": -100},{"gamma": 0.54}]},
		{"featureType": "road","elementType": "labels.icon","stylers": [{"visibility": "off"}]},
		{"featureType": "water","stylers": [{"color": "#4d4946"}]},
		{"featureType": "poi", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]},
		{"featureType": "poi","elementType": "labels.text","stylers": [{"visibility": "simplified"}]},
		{"featureType": "road","elementType": "geometry.fill","stylers": [{"color": "#ffffff"}]},
		{"featureType": "road.local", "elementType": "labels.text", "stylers": [{"visibility": "simplified"}]},
		{"featureType": "water", "elementType": "labels.text.fill", "stylers": [{"color": "#ffffff"}]},
		{"featureType": "transit.line","elementType": "geometry","stylers": [{"gamma": 0.48}]},
		{"featureType": "transit.station", "elementType": "labels.icon","stylers": [{"visibility": "off"}]},
		{"featureType": "road", "elementType": "geometry.stroke","stylers": [{"gamma": 7.18}]}];

		function initialize() {
			var myLatLong = new google.maps.LatLng(varibles['latitude'],varibles['longitude']);
			var mapOptions = {
				center: myLatLong,
				zoom: 17,
				panControl: false,
				mapTypeControl: false,
				streetViewControl: false,
				mapTypeId: google.maps.MapTypeId.ROADMAP,
				scrollwheel: false,
				styles: style
			};
			var map = new google.maps.Map(document.getElementById("mapCanvas"),
			mapOptions);
			// To add the marker to the map, use the 'map' property
			var marker = new google.maps.Marker({
				position: myLatLong,
				map: map,
				animation: google.maps.Animation.BOUNCE
			});
		}

		initialize()
	});
});
////////////

function searchTemplate(data,req){
	row='';
	if(!data['count']){
		return '<li>'+translate['nosearch']+'</li>';
	}
	$.each(data['post'], function(key,val){

		if(req!='freepage'){
			row+='<li>\
		  <div class="shop_thumb"><a href="'+req+'-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a></div>\
		  <div class="shop_item_details">\
          <h4><a href="'+req+'-item.html?id='+val['id']+'">'+val['title']+'</a></h4>\
          <p>'+val['summary']+'</p></div>\
          </li>';
		}
		else {
			row+='<li>\
		  <div>\
          <h4><a href="'+req+'-item.html?id='+val['id']+'">'+val['title']+'</a></h4>\
          <p>'+val['summary']+'</p></div>\
          </li>';
		}
		varibles['searchRow']++;
	});
	return row;
}
myApp.onPageInit('search', function (page) {

	$('#searchSend').on('click touchstart', function () {
		if(!$('#word').val())return false;
		filter=page.query.id?page.query.id:0;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/search/prm/'+page.query.req+'/'+$('#word').val()+'/'+filter,
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['searchCount']=data.count;
				varibles['searchCurent']=data.post.length;
				varibles['searchRow']=1;
				varibles['searchPage']=1;

				$('#resultSearch').html(searchTemplate(data,page.query.req));
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
		return false;
	})


	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;
		if (varibles['searchCurent']>=varibles['searchCount']) {

			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));

			return;
		}
		varibles['searchPage']++;
		filter=page.query.id?page.query.id:0;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/search/prm/'+page.query.req+'/'+$('#word').val()+'/'+filter+'/'+varibles['searchPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['searchCurent']+=data.post.length;
				$('#resultSearch').append(searchTemplate(data,page.query.req));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});
})

function productTemplate(data){
	row='';
	$.each(data, function(key,val){
		if(val['id']){
			row+='<li>\
          <div class="shop_thumb"><a href="products-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a></div>\
          <div class="shop_item_details">\
          <h4><a href="products-item.html?id='+val['id']+'">'+val['title']+'</a></h4>\
          <p>'+val['summary']+'</p>';
			row+=val['price']?'<div class="shop_item_price">'+(val['off']?('<del>'+val['price']+'</del>'):val['price'])+'</div>':'';
			row+=val['off']?'<div class="shop_item_price">'+val['off']+'</div>':'';
			row+='</div>\
          </li>';
			varibles['productRow']++;
		}
	});

	return row;
}
myApp.onPageInit('products', function (page) {
	id=Number(page.query.id)?page.query.id:0
	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;
		if (varibles['productCurent']>=varibles['productCount']) {

			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			return;
		}
		varibles['productPage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/products/prm/'+id+'/'+varibles['productPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['productCurent']+=data.post.length;
				$('#postProducts').append(productTemplate(data['post']));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});
})
function blogTemplate(data){
	row='';
	$.each(data, function(key,val){
		if(val['id']){
			row+='<div class="post_entry">';
			row+='<div class="blog_details">\
				<a href="blog-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a>\
			</div>\
			<div class="blog_details">\
				<h2><a href="blog-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p><a href="blog-item.html?id='+val['id']+'">'+val['summary']+'</a></p>\
			</div>';
			row+='</div>';
		}
		// posts[key]={part_1:row}
	});

	return row;
}

///////////
myApp.onPageInit('blog', function (page) {
	id=Number(page.query.id)?page.query.id:0
	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;

		if (varibles['blogCurent']>=varibles['blogCount']) {
			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			// Remove preloader
			// $$('.infinite-scroll-preloader').remove();
			return;
		}
		varibles['blogPage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/blog/prm/'+id+'/'+varibles['blogPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['blogCurent']+=data.post.length;
				$('#postBlog').append(blogTemplate(data['post']));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});

})

function ticketTemplate(data){
	// var posts=[];
	row='';
	// if(data.count)
	$.each(data, function(key,val){

		if(val['id']){
			row+='<div class="post_entry">';
			row+='<div '+(val['read']?'style="background:#f9ffc8; padding:4px;"':'')+'>\
					<h2>'+val['subject']+'</h2>\
					<p style="float:right">'+val['abestract']+'&nbsp;&nbsp;&nbsp;<span class="silver">'+val['sender']+'</span></p>\
					<div class="signup_bottom"><a href="ticket-item.html?id='+val['id']+'" data-ignore-cache="true" style="float:left">'+translate['commentMore']+'</a></div>\
					<div style="clear:both;width:100%;height:1px;font-size:1px;"></div>\
				</div>';
			row+='<hr /></div>';
			varibles['ticketRow']++;
		}
		// posts[key]={part_1:row}
	});

	return row;
}
myApp.onPageInit('ticket', function (page) {

	id=Number(page.query.id)?page.query.id:0;
	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;

		if (varibles['ticketCurent']>=varibles['ticketCount']) {
			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			// Remove preloader
			// $$('.infinite-scroll-preloader').remove();
			return;
		}
		varibles['ticketPage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/tickets/prm/'+id+'/'+varibles['ticketPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['ticketCurent']+=data.post.length;
				$('#postTicket').append(ticketTemplate(data['post']));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();
			}
		})
	});
	if(numTick) {
		window.plugins.OneSignal.clearOneSignalNotifications();
	}
})

function freepageTemplate(data){
	// var posts=[];
	row='';
	$.each(data, function(key,val){
		if(val['id']){
			row+='<div class="post_entry">';
			row+=(varibles['freepageRow']%2)?('<div class="">\
				<h2><a href="freepage-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p>'+val['summary']+'</p>\
			</div>'):
			('<div class="">\
				<h2><a href="freepage-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p>'+val['summary']+'</p>\
			</div>');
			row+='<hr /></div>';
			varibles['freepageRow']++;
		}
		// posts[key]={part_1:row}
	});
	return row;
}

///////////
myApp.onPageInit('freepage', function (page) {
	id=Number(page.query.id)?page.query.id:0
	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;

		if (varibles['freepageCurent']>=varibles['freepageCount']) {
			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			// Remove preloader
			// $$('.infinite-scroll-preloader').remove();
			return;
		}
		varibles['freepagePage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/freepage/prm/'+id+'/'+varibles['freepagePage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['freepageCurent']+=data.post.length;
				$('#postFreepage').append(freepageTemplate(data['post']));
				// Reset loading flag
				loading = false;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});
})
myApp.onPageInit('poll', function (page) {

	$('.rate').on('change',function(){
		// if(!mId){
		// 	setLogin();
		// 	return false;
		// }
		if(varibles['poll']){
			myApp.alert(translate['oldpoll'],'');
			return false;
		}
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/addpoll/prm/'+$(this).val(),
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				myApp.alert(data.message,'');
				if(!data.error)varibles['poll']=1;
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	})
})
window.onhashchange = function() {
	myApp.closePanel();
	jQuery('#swipebox-close').trigger('click');
}
myApp.onPageInit('catgallery', function (page) {

	$.swipebox($(".swipebox"));
	$("a.switcher").on("click", function(e){
		e.preventDefault();

		var theid = $(this).attr("id");
		var theproducts = $("ul#photoslist");
		var classNames = $(this).attr('class').split(' ');


		if($(this).hasClass("active")) {
			// if currently clicked button has the active class
			// then we do nothing!
			return false;
		} else {
			// otherwise we are clicking on the inactive button
			// and in the process of switching views!

			if(theid === "view13") {
				$(this).addClass("active");
				$("#view11").removeClass("active");
				$("#view11").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_11.png");

				$("#view12").removeClass("active");
				$("#view12").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_12.png");

				var theimg = $(this).children("span").children("img");
				theimg.attr("src","images/icons/"+toolbarIcon+"/switch_13_active.png");

				// remove the list class and change to grid
				theproducts.removeClass("photo_gallery_11");
				theproducts.removeClass("photo_gallery_12");
				theproducts.addClass("photo_gallery_13");

			}

			else if(theid === "view12") {
				$(this).addClass("active");
				$("#view11").removeClass("active");
				$("#view11").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_11.png");

				$("#view13").removeClass("active");
				$("#view13").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_13.png");

				var theimg = $(this).children("span").children("img");
				theimg.attr("src","images/icons/"+toolbarIcon+"/switch_12_active.png");

				// remove the list class and change to grid
				theproducts.removeClass("photo_gallery_11");
				theproducts.removeClass("photo_gallery_13");
				theproducts.addClass("photo_gallery_12");

			}
			else if(theid === "view11") {
				$("#view12").removeClass("active");
				$("#view12").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_12.png");

				$("#view13").removeClass("active");
				$("#view13").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_13.png");

				var theimg = $(this).children("span").children("img");
				theimg.attr("src","images/icons/"+toolbarIcon+"/switch_11_active.png");

				// remove the list class and change to grid
				theproducts.removeClass("photo_gallery_12");
				theproducts.removeClass("photo_gallery_13");
				theproducts.addClass("photo_gallery_11");

			}

		}

	});

	$$('.infinite-scroll').on('infinite', function () {
		// Exit, if loading in progress
		if (loading) return;
		// Set loading flag
		loading = true;
		if (varibles['galleryCurent']>=varibles['galleryCount']) {
			loading = false;
			// Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
			myApp.detachInfiniteScroll($$('.infinite-scroll'));
			// Remove preloader
			// $$('.infinite-scroll-preloader').remove();
			return;
		}
		varibles['galleryPage']++;
		myApp.showIndicator();
		$$.ajax({
			url: hostUrl+glang+'/appv1/gallery/prm/'+page.query.id+'/'+varibles['galleryPage'],
			type: "GET",
			dataType: "json",
			// if successful response received (http 2xx)
			success: function(data, textStatus ){
				varibles['galleryCurent']+=data['pics'].length;
				loading = false;

				var pics='';
				$.each(data['pics'],function(key , val){
					pics+='<li><a rel="gallery-3" href="'+val['pic']+'" title="'+val['title']+'" class="swipebox"><img src="'+val['thumb']+'" alt="image"/></a></li>';
				});
				$('#photoslist').html($('#photoslist').html()+pics);
				$.swipebox($(".swipebox"));
				myApp.hideIndicator();
			},
			error: function(xhr, textStatus){
				// We have received response and can hide activity indicator
				myApp.hideIndicator();
				errorModal();

			}
		})
	});
})
function changePage(){
	window.location.replace(domainLink+'/app.php?v=1');
}